//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <numfield.h>
#include <WSCform.h>
#include <WSCvarrow.h>
#include <WSCvifield.h>

numfield::numfield(WSCbase* base,char* objName):
numfieldBASETYPE(base,objName){

  _property_initialize();
  //please edit here...


}

numfield::~numfield(){

  _property_delete();
  //please edit here...


}

long numfield::initialize(){
  numfieldBASETYPE::initialize();
  objectInitialize();

  //please edit here...
  return WS_NO_ERR;
}
void numfield::setWorkWSNvalue(long val){
  if (getInitialized() != False){
    numvifi_002->setProperty(WSNlabelString,val);
  }
}
void numfield::getWorkWSNvalue(long* val){
  if (getInitialized() != False){
    *val = numvifi_002->getProperty(WSNlabelString);
  }
}
